## rust-regolith-powerd 0.3.9

=== Makefile ===
build:
	mkdir -p debian/tmp_files/.cargo
	CARGO_HOME=debian/tmp_files/.cargo cargo build --release

=== debian/changelog ===
rust-regolith-powerd (0.3.9-4) unstable; urgency=medium

  * Team upload
  * Package regolith-powerd 0.3.9 from crates.io using debcargo 2.7.10
  * Build with rust-glib 0.21

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Sep 2025 15:52:11 -0400

rust-regolith-powerd (0.3.9-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable 

 -- Matthias Geiger <werdahias@debian.org>  Thu, 13 Feb 2025 17:33:38 +0100

rust-regolith-powerd (0.3.9-2) experimental; urgency=medium

  * Team upload.
  * Package regolith-powerd 0.3.9 from crates.io using debcargo 2.7.6
  * Add patch for newer zbus
  * Add patch for newer glib/gio

 -- Matthias Geiger <werdahias@debian.org>  Sun, 19 Jan 2025 17:58:42 +0100

rust-regolith-powerd (0.3.9-1) unstable; urgency=medium

  * Team upload.
  * Initial Release (Closes: #1077725)
  * Package regolith-powerd 0.3.9 from crates.io using debcargo 2.6.1

 -- Soumya Ranjan Patnaik <soumyaranjan1812@gmail.com>  Sun, 24 Nov 2024 09:08:48 +0100

=== debian/control ===
Source: rust-regolith-powerd
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-async-channel-2+default-dev (>= 2.1.1-~~),
 librust-gio-0.21+default-dev,
 librust-glib-0.21+default-dev,
 librust-gsettings-macro-0.2+default-dev (>= 0.2.1-~~),
 librust-swayipc-3+default-dev (>= 3.0.1-~~),
 librust-zbus-5+default-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Soumya Ranjan Patniak <soumyaranjan1812@gmail.com>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/regolith-powerd]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/regolith-powerd
Homepage: https://github.com/regolith-linux/regolith-powerd
X-Cargo-Crate: regolith-powerd
Rules-Requires-Root: no

Package: regolith-powerd
Architecture: any
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Power Settings Daemeon for Regolith Wayland Session
 Regolith uses gnome-control-center and gsettings
 to configure power related settings. This package
 monitors gsettings changes related to power
 settingns and ensures the system behaviour is in
 line with the configuration in gsettings

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/regolith-powerd-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/regolith-powerd .*/crates/regolith-powerd/@ANY_VERSION@/download
